#!/usr/bin/python2.5

import sys, os, codecs

def main(direct, nomarch):
    # abrimos el file
    dest = codecs.open(nomarch, "a", "utf8")

    # buscamos todos los dirs en ese directorio
    archs = os.listdir(direct)
    dirs = [os.path.join(direct, x) for x in archs]
    dirs = [x for x in dirs if os.path.isdir(x)]
    dirs.sort()

    # buscamos todos los archivos en cada dir y vamos sacando la info
    for direct in dirs:
        archs = os.listdir(direct)
        archs.sort()
        base = os.path.basename(direct)
        base = base.decode("utf8")
        dest.write("\n%s\n" % base)
        for arch in archs:
            arch = arch.decode("utf8")
            dest.write("  %s\n" % arch)
    dest.close()
    return
    

if __name__ == "__main__":
    if len(sys.argv) != 3:
        print "Usar:  listMusic.py <directorio> <archout>"
        sys.exit()

    main(sys.argv[1], sys.argv[2])
